dcsimg
A Flash Developer Resource Site

Results 1 to 5 of 5

Thread: Detecting correct Flash Version

  1. #1
    I need to be sure users have Flash 5.0 before accessing my site. It seems that some users have flash 4 and are still accessing the site but are not able to correctly navigate. How can I be sure they have flash 5.0 or greater?

  2. #2

    well...

    there are bunch of extentions from macromedia.com for Flash 5.
    you can also download extentions for Dreamweaver, or just search the FlashKit for "detecting flash version"

  3. #3

    Here is a better explanation...


  4. #4

    Flash Detector for Mac

    I converted one of the Flash Detectors (Flash5_Detect) for use in my web site. It works great on the PC, picking up the version and recommending the user get the updated version when necessary. However, the when testing on the MAC the embeded move "Flash dectector" is not displaying properly or at all until you roll over some of the buttons. Is there additional script to make this work on the MAC

  5. #5
    Registered User
    Join Date
    Nov 2000
    Posts
    136
    I don't really know, myself, but there's much simpler detection scheme. It doesn't distinguish between the different releases of the Flash 5 player, but it works well (with less code) for detecting anything less than Flash 5.


    Frame 1:

    Code:
    // Only Flash 5 will understand this command.
    _root.gotoAndPlay("Flash5Content")
    Frame 2:
    Add a message telling the user they need Flash 5. You could give them the "Get Flash 5" button, linked to Macromedia's download page.

    I've got the "Get Flash 5" button here:
    http://www.usd.edu/~tamarghe/getflash.gif

    And this is the Macromedia URL:
    http://www.macromedia.com/shockwave/...ShockwaveFlash

    --edit--
    OK, I looked at that code for frame 1, and I realized that I'm not *positive* Flash 4 can't understand it. If it doesn't work, use this for frame 1:
    Code:
    // Flash 4 definately doesn't understand the getVersion()
    // function.
    version = getVersion();
    if (_root.version = true or _root.version > 4) {
        gotoAndPlay ("Flash5Content");
    }
    [Edited by Tirmie on 06-14-2001 at 10:11 AM]

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  




Click Here to Expand Forum to Full Width

HTML5 Development Center